<?php
/**
 * OUICE
 * By Guy Carberry
 * For use with the mediawiki 1.6.x branch. Monobook-derived
 */

if( !defined( 'MEDIAWIKI' ) )
	die( -1 );

require_once('includes/SkinTemplate.php');

class Skinouice extends SkinTemplate {
	/** Using ouice. */
	function initPage( &$out ) {
		SkinTemplate::initPage( $out );
		$this->skinname  = 'ouice';
		$this->stylename = 'ouice';
		$this->template  = 'ouiceTemplate';
	}
}

class ouiceTemplate extends QuickTemplate {

	function execute() {
		wfSuppressWarnings();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php $this->text('lang') ?>" lang="<?php $this->text('lang') ?>" dir="<?php $this->text('dir') ?>">
<head>
<meta http-equiv="Content-Type" content="<?php $this->text('mimetype') ?>; charset=<?php $this->text('charset') ?>" />
<?php $this->html('headlinks') ?>
<title>
<?php $this->text('pagetitle') ?>
</title>
<style type="text/css" media="screen,projection">
/*<![CDATA[*/ @import "<?php $this->text('stylepath') ?>/<?php $this->text('stylename') ?>/main.css?7"; /*]]>*/
</style>
<link rel="stylesheet" type="text/css" <?php if(empty($this->data['printable']) ) { ?>media="print"<?php } ?> href="<?php $this->text('stylepath') ?>/common/commonPrint.css" />
<!--[if lt IE 5.5000]><style type="text/css">@import "<?php $this->text('stylepath') ?>/<?php $this->text('stylename') ?>/IE50Fixes.css";</style><![endif]-->
<!--[if IE 5.5000]><style type="text/css">@import "<?php $this->text('stylepath') ?>/<?php $this->text('stylename') ?>/IE55Fixes.css";</style><![endif]-->
<!--[if IE 6]><style type="text/css">@import "<?php $this->text('stylepath') ?>/<?php $this->text('stylename') ?>/IE60Fixes.css";</style><![endif]-->
<!--[if IE 7]><style type="text/css">@import "<?php $this->text('stylepath') ?>/<?php $this->text('stylename') ?>/IE70Fixes.css?1";</style><![endif]-->
<!--[if lt IE 7]><script type="<?php $this->text('jsmimetype') ?>" src="<?php $this->text('stylepath') ?>/common/IEFixes.js"></script>
		<meta http-equiv="imagetoolbar" content="no" /><![endif]-->
<script type="<?php $this->text('jsmimetype') ?>">var skin = '<?php $this->text('skinname')?>';var stylepath = '<?php $this->text('stylepath')?>';</script>
<script type="<?php $this->text('jsmimetype') ?>" src="<?php $this->text('stylepath' ) ?>/common/wikibits.js"><!-- wikibits js --></script>
<?php	if($this->data['jsvarurl'  ]) { ?>
<script type="<?php $this->text('jsmimetype') ?>" src="<?php $this->text('jsvarurl'  ) ?>"><!-- site js --></script>
<?php	} ?>
<?php	if($this->data['pagecss'   ]) { ?>
<style type="text/css">
<?php $this->html('pagecss' ) ?>
</style>
<?php	}
		if($this->data['usercss'   ]) { ?>
<style type="text/css">
<?php $this->html('usercss' ) ?>
</style>
<?php	}
		if($this->data['userjs'    ]) { ?>
<script type="<?php $this->text('jsmimetype') ?>" src="<?php $this->text('userjs' ) ?>"></script>
<?php	}
		if($this->data['userjsprev']) { ?>
<script type="<?php $this->text('jsmimetype') ?>"><?php $this->html('userjsprev') ?></script>
<?php	}
		if($this->data['trackbackhtml']) print $this->data['trackbackhtml']; ?>
<!-- Head Scripts -->
<?php $this->html('headscripts') ?>
<!--  OU additions requested by Guy Carberry -->
<link rel="stylesheet" type="text/css" media="all" href="http://www.open.ac.uk/includes/header.css" />
<script type="text/javascript" src="http://www.open.ac.uk/includes/header.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="/webstandards/gui/styles.css" />
<!-- End of OU additions -->
</head>
<body <?php if($this->data['body_ondblclick']) { ?>ondblclick="<?php $this->text('body_ondblclick') ?>"<?php } ?>
<?php if($this->data['body_onload'    ]) { ?>onload="<?php     $this->text('body_onload')     ?>"<?php } ?>
 class="<?php $this->text('nsclass') ?> <?php $this->text('dir') ?>">
<?php include $_SERVER['DOCUMENT_ROOT'] . '/includes/header-slim-noresize.html'; ?>

<div id="site">
  <div id="site-header">
    <ul class="sections">
      <?php foreach ($this->data['sidebar'] as $bar => $cont) { ?>
      <?php 			foreach($cont as $key => $val) { ?>
      <li id="<?php echo htmlspecialchars($val['id']) ?>"<?php
					if ( $val['active'] ) { ?> class="selected" <?php }
				?>><a href="<?php echo htmlspecialchars($val['href']) ?>"><?php echo htmlspecialchars($val['text']) ?></a></li>
      <?php			} ?>
      <?php } ?>
    </ul>
  </div>
  <div id="site-body">
    <div id="page">
      <div id="region0">
        <?php if($this->data['sitenotice']) { ?>
        <div id="siteNotice">
          <?php $this->html('sitenotice') ?>
        </div>
        <?php } ?>
        <h1 id="page-title">
          <?php $this->text('title') ?>
        </h1>
        <ul class="utilities">
          <?php			foreach($this->data['content_actions'] as $key => $tab) { ?>
          <li id="ca-<?php echo htmlspecialchars($key) ?>"<?php
				 	if($tab['class']) { ?> class="<?php echo htmlspecialchars($tab['class']) ?>"<?php }
				 ?>><a href="<?php echo htmlspecialchars($tab['href']) ?>">
            <?php
				 echo htmlspecialchars($tab['text']) ?>
            </a></li>
          <?php			 } ?>
        </ul>
      </div>
      <div id="region1">
        <?php $this->html('subtitle') ?>
        <?php if($this->data['undelete']) { ?>
        <div id="contentSub2">
          <?php     $this->html('undelete') ?>
        </div>
        <?php } ?>
        <?php if($this->data['newtalk'] ) { ?>
        <div class="usermessage">
          <?php $this->html('newtalk')  ?>
        </div>
        <?php } ?>
        <!-- start content -->
        <?php $this->html('bodytext') ?>
        <?php if($this->data['catlinks']) { ?>
        <div id="catlinks">
          <?php       $this->html('catlinks') ?>
        </div>
        <?php } ?>
        <!-- end content -->
      </div>
      <div id="region2">
        <dl class="related search">
          <dt>
            <label for="searchInput">
            <?php $this->msg('search') ?>
            </label>
          </dt>
          <dd>
            <form action="<?php $this->text('searchaction') ?>" id="searchform">
              <input id="searchInput" name="search" type="text" <?php
					if($this->haveMsg('accesskey-search')) {
						?>accesskey="<?php $this->msg('accesskey-search') ?>"<?php }
					if( isset( $this->data['search'] ) ) {
						?> value="<?php $this->text('search') ?>"<?php } ?> />
              <input type='submit' name="go" class="searchButton" id="searchGoButton"	value="<?php $this->msg('go') ?>" />
              &nbsp;
              <input type='submit' name="fulltext" class="searchButton" value="<?php $this->msg('search') ?>" />
            </form>
          </dd>
        </dl>
        <dl class="related">
          <dt>
            <?php $this->msg('personaltools') ?>
          </dt>
          <dd>
            <ul>
              <?php 			foreach($this->data['personal_urls'] as $key => $item) { ?>
              <li id="pt-<?php echo htmlspecialchars($key) ?>"<?php
					if ($item['active']) { ?> class="active"<?php } ?>><a href="<?php
				echo htmlspecialchars($item['href']) ?>"<?php
				if(!empty($item['class'])) { ?> class="<?php
				echo htmlspecialchars($item['class']) ?>"<?php } ?>>
                <?php
				echo htmlspecialchars($item['text']) ?>
                </a></li>
              <?php			} ?>
            </ul>
          </dd>
        </dl>
        <dl class="related">
          <dt>
            <?php $this->msg('toolbox') ?>
          </dt>
          <dd>
            <ul>
              <?php
		if($this->data['notspecialpage']) { ?>
              <li id="t-whatlinkshere"><a href="<?php
				echo htmlspecialchars($this->data['nav_urls']['whatlinkshere']['href'])
				?>">
                <?php $this->msg('whatlinkshere') ?>
                </a></li>
              <?php
			if( $this->data['nav_urls']['recentchangeslinked'] ) { ?>
              <li id="t-recentchangeslinked"><a href="<?php
				echo htmlspecialchars($this->data['nav_urls']['recentchangeslinked']['href'])
				?>">
                <?php $this->msg('recentchangeslinked') ?>
                </a></li>
              <?php 		}
		}
		if(isset($this->data['nav_urls']['trackbacklink'])) { ?>
              <li id="t-trackbacklink"><a href="<?php
				echo htmlspecialchars($this->data['nav_urls']['trackbacklink']['href'])
				?>">
                <?php $this->msg('trackbacklink') ?>
                </a></li>
              <?php 	}
		if($this->data['feeds']) { ?>
              <li id="feedlinks">
                <?php foreach($this->data['feeds'] as $key => $feed) {
					?>
                <span id="feed-<?php echo htmlspecialchars($key) ?>"><a href="<?php
					echo htmlspecialchars($feed['href']) ?>"><?php echo htmlspecialchars($feed['text'])?></a>&nbsp;</span>
                <?php } ?>
              </li>
              <?php
		}

		foreach( array('contributions', 'blockip', 'emailuser', 'upload', 'specialpages') as $special ) {

			if($this->data['nav_urls'][$special]) {
				?>
              <li id="t-<?php echo $special ?>"><a href="<?php echo htmlspecialchars($this->data['nav_urls'][$special]['href'])
				?>">
                <?php $this->msg($special) ?>
                </a></li>
              <?php		}
		}



		if(!empty($this->data['nav_urls']['permalink']['href'])) { ?>
              <li id="t-permalink"><a href="<?php echo htmlspecialchars($this->data['nav_urls']['permalink']['href'])
				?>">
                <?php $this->msg('permalink') ?>
                </a></li>
              <?php
		} elseif ($this->data['nav_urls']['permalink']['href'] === '') { ?>
              <li id="t-ispermalink">
                <?php $this->msg('permalink') ?>
              </li>
              <?php
		}

		wfRunHooks( 'ouiceTemplateToolboxEnd', array( &$this ) );
?>
            </ul>
          </dd>
        </dl>
        <?php
		if( $this->data['language_urls'] ) { ?>
        <dl class="related">
          <dt>
            <?php $this->msg('otherlanguages') ?>
          </dt>
          <dd>
            <ul>
              <?php		foreach($this->data['language_urls'] as $langlink) { ?>
              <li class="<?php echo htmlspecialchars($langlink['class'])?>">
                <?php
				?>
                <a href="<?php echo htmlspecialchars($langlink['href']) ?>"><?php echo $langlink['text'] ?></a></li>
              <?php		} ?>
            </ul>
          </dd>
        </dl>
        <?php	} ?>
      </div>
    </div>
  </div>
  <div id="site-footer">
    <div id="legal">
      <ul id="f-list">
        <?php
		$footerlinks = array(
			'lastmod', 'viewcount', 'numberofwatchingusers', 'credits', 'copyright',
			'privacy', 'about', 'disclaimer', 'tagline',
		);
		foreach( $footerlinks as $aLink ) {
			if( $this->data[$aLink] ) {
?>
        <li id="<?php echo$aLink?>">
          <?php $this->html($aLink) ?>
        </li>
        <?php 		}
		}
?>
      </ul>
    </div>
    <script type="text/javascript"> if (window.runOnloadHook) runOnloadHook();</script>
    <?php $this->html('reporttime') ?>
    <p><a href="#site" class="to-top">Top</a></p>
  </div>
</div>
<?php include $_SERVER['DOCUMENT_ROOT'] . '/includes/footer.html'; ?>
</body></html>
<?php
	wfRestoreWarnings();
	} // end of execute() method
} // end of class
?>
